package com.unis.base.server.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.unis.base.common.vo.TyLqmxxxVO;
import com.unis.base.server.domain.TyLqmxxxDomain;
import com.unis.base.server.service.TyLqmxxxService;

/**
 * @author huangxing
 * @version 1.0
 * @Title TyCrkjsxxServiceImpl
 * @ProjectName TyCrkjsxxServiceImpl
 * @Description
 * @date 2019/07/22 17点26分
 */
@Service
public class TyLqmxxxServiceImpl implements TyLqmxxxService {

	@Autowired
	private TyLqmxxxDomain tyLqmxxxDomain;

	/**
	 * 获取信息
	 */
	@Override
	public List<TyLqmxxxVO> getTyLqmxxxList(TyLqmxxxVO tyLqmxxxVO) {
		return tyLqmxxxDomain.getTyLqmxxxList(tyLqmxxxVO);
	}

	/**
	 * 分页展示
	 */
	@Override
	public List<TyLqmxxxVO> getTyLqmxxxPage(TyLqmxxxVO tyLqmxxxVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return tyLqmxxxDomain.getTyLqmxxxList(tyLqmxxxVO);
	}

	/**
	 * 添加
	 */
	@Override
	public int insert(TyLqmxxxVO tyLqmxxxVO) {
		return tyLqmxxxDomain.insert(tyLqmxxxVO);
	}

	/**
	 * 更新
	 */
	@Override
	public int update(TyLqmxxxVO tyLqmxxxVO) {
		return tyLqmxxxDomain.update(tyLqmxxxVO);
	}

	/**
	 * 删除
	 */
	@Override
	public int delete(String lqid) {
		TyLqmxxxVO tyLqmxxxVO = tyLqmxxxDomain.getTyLqmxxxById(lqid);
		if (tyLqmxxxVO == null ) {
			return -1;
		}
		tyLqmxxxVO.setStatus(0);
		return tyLqmxxxDomain.update(tyLqmxxxVO);
	}

	/**
	 * 根据编号获取信息
	 */
	@Override
	public TyLqmxxxVO getLqmxxxByLqmxxxid(String lqid) {
		return tyLqmxxxDomain.getTyLqmxxxById(lqid);
	}


}
